%define name mplayer-skin

%define release 2

Summary: MPlayer skin package
Name: %{name}
Version: 1.0
Release: %{release}
Vendor: The MPlayer Project
URL: http://mplayer.sourceforge.net
Group: Applications/Multimedia
Source0: http://www2.mplayerhq.hu/MPlayer/Skin/default.tar.bz2
Source1: http://www2.mplayerhq.hu/MPlayer/Skin/MidnightLove.tar.bz2
Source2: http://www2.mplayerhq.hu/MPlayer/Skin/avifile.tar.bz2
Source3: http://www2.mplayerhq.hu/MPlayer/Skin/BlueHeart.tar.bz2
Source4: http://www2.mplayerhq.hu/MPlayer/Skin/WindowsMediaPlayer6.tar.bz2
Source5: http://www2.mplayerhq.hu/MPlayer/Skin/xanim.tar.bz2
Source6: http://www2.mplayerhq.hu/MPlayer/Skin/neutron.tar.bz2
Source7: http://www2.mplayerhq.hu/MPlayer/Skin/plastic.tar.bz2
Source8: http://www2.mplayerhq.hu/MPlayer/Skin/Cyrus.tar.bz2
Source9: http://www2.mplayerhq.hu/MPlayer/Skin/xine-lcd.tar.bz2
Source10: http://www2.mplayerhq.hu/MPlayer/Skin/phony.tar.bz2
Source11: http://www2.mplayerhq.hu/MPlayer/Skin/mentalic.tar.bz2
Source12: http://www2.mplayerhq.hu/MPlayer/Skin/proton.tar.bz2
Source13: http://www2.mplayerhq.hu/MPlayer/Skin/slim.tar.bz2
Source14: http://www2.mplayerhq.hu/MPlayer/Skin/netscape4.tar.bz2
Source15: http://www2.mplayerhq.hu/MPlayer/Skin/CubicPlayer.tar.bz2
Source16: http://www2.mplayerhq.hu/MPlayer/Skin/AlienMind.tar.bz2
Source17: http://www2.mplayerhq.hu/MPlayer/Skin/CornerMP.tar.bz2
Source18: http://www2.mplayerhq.hu/MPlayer/Skin/CornerMP-aqua.tar.bz2
Source19: http://www2.mplayerhq.hu/MPlayer/Skin/hwswskin.tar.bz2
Copyright: GPL
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
MPlayer skin package. Contains the following skins:
* default
* Midnight Love
* avifile
* BlueHeart
* WindowsMediaPlayer6
* xanim
* neutron
* plastic
* Cyrus
* xine-lcd
* phony
* mentalic
* proton
* slim
* netscape4
* CubicPlayer
* AlienMind
* CornerMP
* CornerMP-aqua
* hwswskin

%package default
Group: Applications/Multimedia
Summary: default skin for MPlayer's GUI
Version: 1.5
Requires: mplayer
Provides: mplayer-skin

%description default
The default MPlayer skin.

%package MidnightLove
Group: Applications/Multimedia
Summary: MidnightLove skin for MPlayer's GUI
Version: 1.5
Requires: mplayer
Provides: mplayer-skin

%description MidnightLove
MPlayer conversion of the nice WinAMP/XMMS skin of Rei Ayanami.

%package avifile
Group: Applications/Multimedia
Summary: avifile skin for MPlayer's GUI
Version: 1.5
Requires: mplayer
Provides: mplayer-skin

%description avifile
MPlayer skin, with the look of aviplay :)

%package BlueHeart
Group: Applications/Multimedia
Summary: BlueHeart skin for MPlayer's GUI
Version: 1.4
Requires: mplayer
Provides: mplayer-skin

%description BlueHeart
MPlayer conversion of a BlueHeart XMMS skin.

%package WindowsMediaPlayer6
Group: Applications/Multimedia
Summary: Windows Media Player 6 skin for MPlayer's GUI
Version: 1.2
Requires: mplayer
Provides: mplayer-skin

%description WindowsMediaPlayer6
Windows Media Player 6 skin for MPlayer.

%package xanim
Group: Applications/Multimedia
Summary: xanim skin for MPlayer's GUI
Version: 1.4
Requires: mplayer
Provides: mplayer-skin

%description xanim
MPlayer skin, with the look of xanim :)

%package neutron
Group: Applications/Multimedia
Summary: neutron skin for MPlayer's GUI
Version: 1.3
Requires: mplayer
Provides: mplayer-skin

%description neutron
VERY nice skin!

%package plastic
Group: Applications/Multimedia
Summary: plastic skin for MPlayer's GUI
Version: 1.1.1
Requires: mplayer
Provides: mplayer-skin

%description plastic
Remote control-like skin with plastic feeling.

%package Cyrus
Group: Applications/Multimedia
Summary: Cyrus skin for MPlayer's GUI
Version: 1.0
Requires: mplayer
Provides: mplayer-skin

%description Cyrus
Cyrus skin from XMMS.

%package xine-lcd
Group: Applications/Multimedia
Summary: xine-lcd skin for MPlayer's GUI
Version: 1.0
Requires: mplayer
Provides: mplayer-skin

%description xine-lcd
MPlayer conversion of Xine's LCD skin.

%package phony
Group: Applications/Multimedia
Summary: phony skin for MPlayer's GUI
Version: 1.0
Requires: mplayer
Provides: mplayer-skin

%description phony
Look-and-feel of a desktop DVD player.

%package mentalic
Group: Applications/Multimedia
Summary: mentalic skin for MPlayer's GUI
Version: 1.0
Requires: mplayer
Provides: mplayer-skin

%description mentalic
Sharp and shiny.

%package proton
Group: Applications/Multimedia
Summary: proton skin for MPlayer's GUI
Version: 1.0
Requires: mplayer
Provides: mplayer-skin

%description proton
Silver, shiny.

%package slim
Group: Applications/Multimedia
Summary: slim skin for MPlayer's GUI
Version: 1.0
Requires: mplayer
Provides: mplayer-skin

%description slim
Small and cute.

%package netscape4
Group: Applications/Multimedia
Summary: netscape4 skin for MPlayer's GUI
Version: 1.0
Requires: mplayer
Provides: mplayer-skin

%description netscape4
Just for fun...

%package CubicPlayer
Group: Applications/Multimedia
Summary: CubicPlayer skin for MPlayer's GUI
Version: 1.0
Requires: mplayer
Provides: mplayer-skin

%description CubicPlayer
For other oldtimers.

%package AlienMind
Group: Applications/Multimedia
Summary: AlienMind skin for MPlayer's GUI
Version: 1.0
Requires: mplayer
Provides: mplayer-skin

%description AlienMind
Alien Mind skin from XMMS.

%package CornerMP
Group: Applications/Multimedia
Summary: CornerMP skin for MPlayer's GUI
Version: 1.0
Requires: mplayer
Provides: mplayer-skin

%description CornerMP
A WinAMP skin conversion, resides in desktop corner.

%package CornerMP-aqua
Group: Applications/Multimedia
Summary: CornerMP-aqua skin for MPlayer's GUI
Version: 1.0
Requires: mplayer
Provides: mplayer-skin

%description CornerMP-aqua
A WinAMP skin conversion, resides in desktop corner.

%package hwswskin
Group: Applications/Multimedia
Summary: hwswskin skin for MPlayer's GUI
Version: 1.0
Requires: mplayer
Provides: mplayer-skin

%description hwswskin
Haven't seen it yet...

%prep
%setup -q -c %{name}-%{version} -a 1 -a 2 -a 3 -a 4 -a 5 -a 6 -a 7 -a 8 -a 9 -a 10 -a 11 -a 12 -a 13 -a 14 -a 15 -a 16 -a 17 -a 18 -a 19

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
for i in \
	default \
	MidnightLove \
	avifile \
	BlueHeart \
	WindowsMediaPlayer6 \
	neutron \
	plastic \
	Cyrus \
	xine-lcd \
	phony \
	mentalic \
	proton \
	slim \
	netscape4 \
	CubicPlayer \
	AlienMind \
	CornerMP \
	CornerMP-aqua \
	hwswskin \
	; do
	install -d $RPM_BUILD_ROOT%{_datadir}/mplayer/Skin/$i
	install $i/{*.{png,fnt},skin} $RPM_BUILD_ROOT%{_datadir}/mplayer/Skin/$i
done
# xanim skin has no font
install -d $RPM_BUILD_ROOT%{_datadir}/mplayer/Skin/xanim
install xanim/{*.png,skin} $RPM_BUILD_ROOT%{_datadir}/mplayer/Skin/xanim

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files default
%defattr(0644,root,root,0755)
%doc default/README
%{_datadir}/mplayer/Skin/default

%files MidnightLove
%defattr(0644,root,root,0755)
%doc MidnightLove/README
%{_datadir}/mplayer/Skin/MidnightLove

%files avifile
%defattr(0644,root,root,0755)
%doc avifile/README
%{_datadir}/mplayer/Skin/avifile

%files BlueHeart
%defattr(0644,root,root,0755)
%doc BlueHeart/README
%{_datadir}/mplayer/Skin/BlueHeart

%files WindowsMediaPlayer6
%defattr(0644,root,root,0755)
%doc WindowsMediaPlayer6/README
%{_datadir}/mplayer/Skin/WindowsMediaPlayer6

%files xanim
%defattr(0644,root,root,0755)
%doc xanim/README
%{_datadir}/mplayer/Skin/xanim

%files neutron
%defattr(0644,root,root,0755)
%doc neutron/README
%{_datadir}/mplayer/Skin/neutron

%files plastic
%defattr(0644,root,root,0755)
%doc plastic/README
%{_datadir}/mplayer/Skin/plastic

%files Cyrus
%defattr(0644,root,root,0755)
%doc Cyrus/README
%{_datadir}/mplayer/Skin/Cyrus

%files xine-lcd
%defattr(0644,root,root,0755)
%doc xine-lcd/README
%{_datadir}/mplayer/Skin/xine-lcd

%files phony
%defattr(0644,root,root,0755)
%doc phony/README
%{_datadir}/mplayer/Skin/phony

%files mentalic
%defattr(0644,root,root,0755)
%{_datadir}/mplayer/Skin/mentalic

%files proton
%defattr(0644,root,root,0755)
%doc proton/README
%{_datadir}/mplayer/Skin/proton

%files slim
%defattr(0644,root,root,0755)
#%doc slim/README
%{_datadir}/mplayer/Skin/slim

%files netscape4
%defattr(0644,root,root,0755)
%doc netscape4/README
%{_datadir}/mplayer/Skin/netscape4

%files CubicPlayer
%defattr(0644,root,root,0755)
%doc CubicPlayer/README
%{_datadir}/mplayer/Skin/CubicPlayer

%files AlienMind
%defattr(0644,root,root,0755)
%doc AlienMind/README
%{_datadir}/mplayer/Skin/AlienMind

%files CornerMP
%defattr(0644,root,root,0755)
%doc CornerMP/README
%{_datadir}/mplayer/Skin/CornerMP

%files CornerMP-aqua
%defattr(0644,root,root,0755)
%doc CornerMP-aqua/README
%{_datadir}/mplayer/Skin/CornerMP-aqua

%files hwswskin
%defattr(0644,root,root,0755)
#%doc hwswskin/README
%{_datadir}/mplayer/Skin/hwswskin

%changelog
* Thu Aug 08 2002 Christian Pelealu <kurisu@mweb.co.id>
- commented out %doc hwswskin/README & slim/README (nonexistent).

* Fri Jun 28 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- added many more skins

* Thu Jun 27 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- one essential file was missing, fixed

* Mon Apr 29 2002 Dominik Mierzejewski <dominik@rangers.eu.org>
- initial build
